> This is Payabli documentation. For a complete page index, fetch https://docs.payabli.com/llms.txt — append .md to any page URL for lightweight markdown. For section-level indexes, query parameters, and other AI-optimized access methods, see https://docs.payabli.com/ai-agents.md

# Share payment method tokens (developers)

> Learn how to use universal tokens across paypoints

If your organization supports universal tokens, you can share `storedMethodId` values across paypoints configured to accept them.

Universal tokenization must be enabled by the Payabli team, and you can only share tokens that are created *after* the feature has been enabled in your organization. To learn more about these tokens, see [Tokenization Types](/guides/platform-tokenization-overview#types).

## Using shared `storedMethodId`

Keep these considerations in mind when using shared tokens:

* The customer you want to use a shared token for must exist in the paypoint, or you must create one with the transaction. The customers must each have the same Payabli `customerNumber`.
* There's no way to pre-associate a token with a second customer record. The token becomes associated with the new customer record when you make the transaction.
* The `storedMethodId` must have been created after the feature was enabled. If the token existed before universal tokens were enabled in your account, the request returns a 5009 error that reads "Provided stored method and customer are not related".
  To use a shared token, run a transaction and pass the `storedMethodId` in the paymentMethod object.

```bash Make transaction with a saved payment method focus={9-10}
curl -X POST 'https://api-sandbox.payabli.com/api/v2/MoneyIn/getpaid?forceCustomerCreation=false' \
    -H 'accept: application/json' \
    -H 'content-type: application/*+json' \
    -H 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
    -d '{
        "entryPoint": "47ca0dfcs",
        "paymentMethod": {
            "method": "card",
            "storedMethodId": "c9700e93-b2ed-4b75-b1e4-ca4fb04fbe45-224"
        },
        "paymentDetails": {
            "totalAmount": 20.00,
            "serviceFee": 0
        },
        "customerData": {
            "customerNumber": 224,
            "billingEmail": "catherinev@example.com"
        }
    }'
```

## Related resources

See these related resources to help you get the most out of Payabli.

#### Prerequisites

* **[Payment method tokenization](/guides/platform-tokenization-overview)** - Learn how payment method tokenization secures sensitive data and enhances security for your payments